using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GerbilManagerWebAPI.Migrations
{
    /// <inheritdoc />
    public partial class Gen5FuchsschimmelHetSeedFix : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000034"),
                column: "CanonicalGenotype",
                value: "AA CC DD efe gg PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000035"),
                column: "CanonicalGenotype",
                value: "AA CC DD efe GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000036"),
                column: "CanonicalGenotype",
                value: "aa CC DD efe GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000037"),
                column: "CanonicalGenotype",
                value: "aa CC DD efe gg PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000040"),
                column: "CanonicalGenotype",
                value: "AA CC DD efe GG pp spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000043"),
                column: "CanonicalGenotype",
                value: "aa CC DD efe GG pp spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000045"),
                column: "CanonicalGenotype",
                value: "aa CC DD efe GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000050"),
                column: "CanonicalGenotype",
                value: "aa CC dd ee gg PP spsp rere");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000034"),
                column: "CanonicalGenotype",
                value: "AA CC DD efef gg PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000035"),
                column: "CanonicalGenotype",
                value: "AA CC DD efef GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000036"),
                column: "CanonicalGenotype",
                value: "aa CC DD efef GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000037"),
                column: "CanonicalGenotype",
                value: "aa CC DD efef gg PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000040"),
                column: "CanonicalGenotype",
                value: "AA CC DD efef GG pp spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000043"),
                column: "CanonicalGenotype",
                value: "aa CC DD efef GG pp spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000045"),
                column: "CanonicalGenotype",
                value: "aa CC DD efef GG PP spsp rere");

            migrationBuilder.UpdateData(
                table: "ColorVarieties",
                keyColumn: "Id",
                keyValue: new Guid("00000000-0000-0000-0000-000000000050"),
                column: "CanonicalGenotype",
                value: "aa CC dd ee gg pp spsp rere");
        }
    }
}
